My Project

Public Member Functions | List of all members
ScopeGuard< Function > Class Template Reference

## Public Member Functions
constexpr | ScopeGuard (Function &&function) noexcept
| ScopeGuard's constructor. More...
| ScopeGuard (ScopeGuard &&other) noexcept
| ScopeGuard's move constructor. More...

## Constructor & Destructor Documentation

## § ScopeGuard() [1/2]

template<typename Function >

constexpr ScopeGuard< Function >::ScopeGuard | ( | Function && | function | ) |
| inline explicit noexcept

ScopeGuard's constructor.

Parameters

  [in] | function | is a rvalue reference to function executed on scope exit

## § ScopeGuard() [2/2]

template<typename Function >

ScopeGuard< Function >::ScopeGuard | ( | ScopeGuard< Function > && | other | ) |
| inline noexcept

ScopeGuard's move constructor.

Parameters

  [in] | other | is a rvalue reference to ScopeGuard used as source of move

The documentation for this class was generated from the following file:

- ScopeGuard.hpp